Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.webserver
Enum FileCopierPage.PathType

    java.lang.Object
      java.lang.Enum<FileCopierPage.PathType>
          org.ka2ddo.yaac.webserver.FileCopierPage.PathType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FileCopierPage.PathType>

Enclosing class:
  FileCopierPage

    public static enum FileCopierPage.PathType

extends java.lang.Enum<FileCopierPage.PathType>

Enumeration specifying the base directory for the relative path of the exported file.

Enum Constant Summary
`ABSOLUTE` Path relative to the filesystem root.
`LOGDIR` Path relative to the current YAAC log directory.
`TILEDIR` Path relative to the current YAAC tile directory.
`YAAC_BASE` Path relative to the YAAC installation directory.

Method Summary
`static FileCopierPage.PathType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FileCopierPage.PathType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YAAC_BASE

    public static final FileCopierPage.PathType YAAC_BASE

  Path relative to the YAAC installation directory.

### TILEDIR

    public static final FileCopierPage.PathType TILEDIR

  Path relative to the current YAAC tile directory.

### LOGDIR

    public static final FileCopierPage.PathType LOGDIR

  Path relative to the current YAAC log directory.

### ABSOLUTE

    public static final FileCopierPage.PathType ABSOLUTE

  Path relative to the filesystem root.

Method Detail

### values

    public static FileCopierPage.PathType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileCopierPage.PathType c : FileCopierPage.PathType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileCopierPage.PathType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD